Discussing all things virtualization and storage in the data center.

IBM Pulling a Fast One on Diligent Customers?

Word on the street is that IBM is pulling the old switch a roo on current Dilient ProtecTier customers.  They aren't going to allow current customers to upgrade to version 2.1 of the new product from an older version.  The new version won't be able to read the old repositories is my understanding.  Pretty shady if you ask me.

Here is a further break down of shadiness.

-  IBM is offering three versions of this product:
    - 7650 (full-blown VTL appliance w/ XIV storage integrated into the backend)
    - 7650G (VTL appliance head, which allows you to use your own storage backend – as long as it is on the approved compatibility list)
    - 2.1 software-only sale (available ONLY through IBM).  The idea behind this is that you can install onto your own server and storage  - as long as they’re both on the approved list (which is really short and only has an IBM server listed on it).  This version will NOT do phone home.

-  You CAN’T upgrade software on existing appliances from the last Diligent release (1.2.5.5) to the new IBM release (2.1).
    -  The newest software version won’t recognize your repositories.
-  The 7650G Gateway solution isn’t an option for upgrades either.
    -  As I just said, the new software version won’t recognize the existing repositories.
-  No further enhancements or features will be done for any Diligent (non-IBM) release.
    -  This means that you HAVE to “upgrade” or eventually die off.
    -  Don’t know for certain if they will continue to create any patches for old versions or not.

So what has everyone else heard?  This is really bad for current customers IMHO.  I'm sure Quantum, Data Domain, and EMC are ready to go replace the Diligent stuff.  If you have to do an "upgrade", why not look at all the VTLs on the market?